/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ca.mcmaster.cas.tablularexpression;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Matthew Dawson <matthew@mjdsystems.ca>
 */
public class HierarchicalCell extends Cell implements SubHierarchyFetcher {
    public HierarchicalCell() {}
    public HierarchicalCell(String initialContents) {
        super(initialContents);
    }

    @Override
    public List<HierarchicalCell> getSubHiearchy() {
        return m_subHiearchy;
    }
    
    private List<HierarchicalCell> m_subHiearchy = new ArrayList<HierarchicalCell>();
}
